package org.zoikks.drools.facts;

public abstract class AbstractDoubleFinding extends AbstractFinding {

	private static final long serialVersionUID = 2955189879031393496L;
	private double value;
	
	private Double predictedValue = null;
	private Double llnValue = null;
	private String grade = null;
	
	public double getValue() {
		return this.value;
	}
	
	public void setValue(double value) {
		this.value = value;
	}
	
	public Double getPredictedValue() {
		return this.predictedValue;
	}
	
	public void setPredictedValue(Double predictedValue) {
		this.predictedValue = predictedValue;
	}
	
	public String getGrade() {
		return this.grade;
	}
	
	public void setGrade(String grade) {
		this.grade = grade;
	}
	
	public void setLlnValue(double llnValue) {
		this.llnValue = llnValue;
	}
	
	public Double getLlnValue() {
		return this.llnValue;
	}
}